*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html{
  scroll-behavior: smooth;
}
a{
  text-decoration: none;
  color: #7FA1C3;
}
a:hover{
  color: #7FA1C3;
  cursor: pointer;
}
p, a, i{
  font-size: 1rem;
  line-height: normal;
}
h1, h2, h3{
  line-height: 1.2;
  font-family: 'Bricolage Grotesque', sans-serif;
}
ul{
  list-style: none;
}
button{
  font-family: 'Changa', sans-serif;
  background-color: #7FA1C3;
  color: #333333;
  border: 2px solid #7FA1C3;
  box-shadow: 0 5px 5px rgba(0, 102, 204, 0.1);
  outline: none;
  border-radius: .7rem;
  padding: .45rem;
  margin: .5rem 0;
  font-size: .9rem;
  cursor: pointer;
}
button:hover{
  color: #F5EDED;
  background-color: #20806B;
  border-color: #20806B;
  box-shadow: 0 5px 5px rgba(0, 102, 204, 0.75);
}
button:focus{
  transform: scale(0.95);
}
body{
  font-family: 'Changa', sans-serif;
  line-height: normal;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  color: #333333;
  background-color: #F5EDED;
  font-size: .9rem;
}
header{
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.63rem 1.25rem;
  background-color: #E1E4E6;
  color: #F5EDED;
  position: relative;
  z-index: 10;
  transition: background-color 0.01s ease-in;
}

.logo{
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 80px;
  margin: .5rem 0 0 0;
}
.logo img{
  width: 80%;
  height: auto;
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}
/* Hamburger Menu Styles */
.hamburger{
  display: flex;
  flex-direction: column;
  cursor: pointer;
  width: 25px;
  height: 20px;
  justify-content: space-between;
  position: relative;
}
.hamburger div{
  width: 100%;
  height: 3px;
  background-color: #7FA1C3;
  transition: all 0.4s ease-in-out;
  transform-origin: center;
}
.hamburger.active div:nth-child(1){
  transform: translateY(8px) rotate(45deg);
}
.hamburger.active div:nth-child(2){
  opacity: 0;
}
.hamburger.active div:nth-child(3){
  transform: translateY(-8px) rotate(-45deg);
}
.hamburger.active div{
  background-color: #20806B;
}
/* Navigation Styles */
.nav-links{
  list-style: none;
  display: none;
  flex-direction: column;
  align-items: center;
  background-color: #7FA1C3;
  position: absolute;
  top: 80px;
  right: 0;
  width: 100%;
  text-align: center;
}
.nav-links li{
  margin: 1rem 0;
}
.nav-links a{
  color: #333333;
  text-decoration: none;
  font-size: 1.3rem;
}
.nav-links a:hover{
  text-decoration: underline;
  text-decoration-color: #7FA1C3;
}
.nav-links.open{
  display: flex;
}
.social-links a{
  margin: 0 1rem;
}
.social-links i{
  color: #F5EDED;
  padding: .2rem;
  font-size: 1.25rem;
  border-radius: .4rem;
}
.social-links i:hover{
  color: #333333;
  background-color: #7FA1C3;
}
.dropdown{
  display: none;
}
/* Scroll Up Styles */
#scrollTopBtn{
  display: none;
  position: fixed;
  bottom: 60px;
  right: 25px;
  z-index: 99;
  font-size: 1.35rem;
  color: #7FA1C3;
  background-color: #E1E4E6;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25);
  border-radius: 7rem;
  padding: 0.5rem 0.7rem;
  cursor: pointer;
  transition: opacity 0.3s;
  text-align: center;
  line-height: 24px;
}
#scrollTopBtn:hover{
  background-color: #20806B;
  border-color: #20806B;
  color: #E1E4E6;
}

.reveal{
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}
.reveal.active{
  opacity: 1;
  transform: translateY(0);
}

@keyframes fadeInUp {
  0% {
    opacity: 0;
    transform: translateY(40px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes fadeInLeft {
  0% {
    opacity: 0;
    transform: translateX(-40px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes fadeInRight {
  0% {
    opacity: 0;
    transform: translateX(40px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

.projectHero{
  background-color: #E1E4E6;
  padding: 2rem 1.5rem;
  display: flex;
  flex-direction: column;
  gap: 20px;
  text-align: center;
}
.ProjectTitle{
  margin: auto;
  width: fit-content;
  align-items: center;
}
.ProjectTitle h1{
  font-size: 1.25rem;
}
.ProjectTitle h2{
  font-size: 2.5rem;
  color: #7FA1C3;
}
.projectHero hr{
  margin: 0 2rem;
  border: 2px solid #7FA1C3;
}
.projectHero p{
  font-size: 1rem;
  width: 90%;
  margin: auto;
}
.ProjectTags{
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  width: 90%;
  margin: auto;
}
.ProjectTags dl{
  opacity: .75;
  display: flex;
  flex-direction: column;   /* Stack dt and dd */
  min-width: 150px;         /* Prevents squishing */
  flex: 1 1 calc(50% - 1rem);         /* Grow | Shrink | Base width */
}
.ProjectTags dt {
  font-size: 0.75rem;
  color: #20806B;
  text-transform: uppercase;
}
.ProjectTags dd {
  margin: 0;
  font-weight: 500;
}

.imageGrid{
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  padding: 1rem;
  margin-top: 1rem;
}
.mobileImgCon, .tabletImgCon, .laptopImgCon{
  width: 100%;
  height: auto;
}
.mobileImgCon img, .tabletImgCon img, .laptopImgCon img{
  width: 100%;
  height: auto;
}

.ProjectContent{
  display: flex;
  flex-direction: column;
  gap: 25px;
  margin: 1rem 2rem;
}
.ProjectContent h3{
  color: #7FA1C3;
  font-size: 1rem;
  text-align: center;
}
.ProjectContent h4{
  font-size: 1.2rem;
  text-align: center;
}
 .approach,  .changes, .reflection{
  background-color: #E1E4E6;
  padding: 2rem 1rem;
  border-radius: 10px;
  margin: 0 .5rem;
  box-shadow: 0 2px 6px rgba(0, 102, 204, 0.25);
}
.challenge, .beforeAndafter, .result{
  padding: 1rem;
  border-radius: 10px;
}

.challengeContent, .approachContent, .changesContent, .resultContent, .reflectionContent{
  padding: .5rem;
}
.challengeContent p, .approachContent p, .resultContent p, .reflectionContent p{
  padding: .5rem;
  font-size: .9rem;
  text-align: justify;
}

.designaCarsWireframes{
  margin: 0 .5rem;
  padding: .75rem .25rem;
  border-radius: .7rem;
  box-shadow: 0 0 10px rgb(127, 161, 195, 0.75); 
}
.designaCarsWireframes h3{
  font-size: .9rem;
}
.designaCarsWireframes h4{
  font-size: 1.1rem;
}

.frameTabs{
  display: flex;
  gap: 20px;
  width: fit-content;
  margin: 1rem auto;
  margin-top: .5rem;
}
.frameTabs button{
  font-size: .75rem;
}
.frameTabs button.active{
  color: #F5EDED;
  background-color: #20806B;
  border-color: #20806B;
  box-shadow: 0 5px 5px rgba(0, 102, 204, 0.75);
}
.designaCarsWireframesContent{
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.frameContent {
  display: none;
  border-radius: .7rem;
}
.frameContent.active {
  display: flex;
  flex-direction: column;
}

.frameText{
  margin-bottom: .5rem;
}
.frameText h5{
  font-size: 1rem;
  margin-left: .75rem;
}
.frameText p{
  text-align: justify;
  margin: .25rem .8rem .5rem .8rem;
  font-size: .9rem;
}
.frameImgContainer{
  width: 100%;
  height: auto;
}
.frameImgContainer img{
  width: 275px;
  max-height: auto;
  display: block;
  margin: auto;
}

.beforeAndafterContent{
  padding: .5rem;
  text-align: center;
}
.toggleButtons{
  margin-bottom: 1.5rem;
}
.toggleButtons button{
  width: fit-content;
  padding: .5rem 1rem;
  border: none;
  cursor: pointer;
  transition: 0.3s ease;
  box-shadow: 0 5px 5px #20806B;
}
.toggleButtons button:hover{
  transition: 0.5s ease;
  box-shadow: 0 5px 5px #0066ccbf;
}
.containerToggle{
  width: 100%;
}
.containerToggle div{
  margin-bottom: 1.5rem;
}
.imgContainerBefore, .imgContainerAfter {
  width: 100%;
  height: auto;
  display: none;
}
.imgContainerBefore.active, .imgContainerAfter.active {
  display: block;
}
.imgContainerBefore img, .imgContainerAfter img{
  width: 300px;
  max-height: auto;
  display: block;
  margin: auto;
}
.beforeAndafterContent p{
  opacity: .75;
  line-height: 1.5;
  padding-top: .5rem;
  font-size: .7rem;
  margin-bottom: 1rem;
}

.changesContent ol{
  list-style-type: none;
  padding: 0;
  counter-reset: change-counter;
}
.changesContent li{
  padding: .5rem;
  counter-increment: change-counter;
}
.changesContent li::before {
  content: "0" counter(change-counter);
}
.changesContent h5{
  font-size: 1rem;
  color: #20806B;
}
.changesContent p{
  font-size: .9rem;
  padding: 0 .2rem;
  text-align: justify;
}
.resultContent{
  text-align: center;
}
.viewSite{
  width: fit-content;
  padding: .25rem 1rem;
}
.backPortfolio{
  width: fit-content;
  padding: .25rem 1rem;
}

/*Footer Styles*/
footer{
  background-color: #7FA1C3;
  color: #F5EDED;
  text-align: center;
  padding: 1rem 1rem 0 1rem;
}
.footerSections{
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  gap: 10px;
}
.footerLogo {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
}
.footerLogo img{
  width: 75px;
  height: auto;
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}
.footerLinks{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 10px;
}
.footerNav{
  display: flex;
  justify-content: space-around;
  padding: 1rem auto;
  margin: auto;
  width: fit-content;
  gap: 10px;
}
.footerNav a{
  color: #333333;
  font-size: 1.15rem;
}
.footerNav a:hover{
  color: #20806B;
  text-decoration: underline;
  text-decoration-thickness: 3px;
  text-decoration-color: #333333;
}
.footerSocials a{
  font-size: 1rem;
  color: #333333;
}
.footerSocials a:hover{
  text-decoration: underline;
  text-decoration-thickness: 3px;
  text-decoration-color: #20806B;
}